for_window [class="Firefox"] mark Browser
for_window [class="Firefox" window_role="Browser"] {
  border normal 0
}
# firefox floating menus
for_window [window_role="pop-up"] floating enable
for_window [window_role="task_dialog"] floating enable
for_window [window_role="pop-up"] floating enable
for_window [window_role="bubble"] floating enable
for_window [window_role="task_dialog"] floating enable
for_window [window_role="Preferences"] floating enable
for_window [window_type="dialog"] floating enable
for_window [window_type="menu"] floating enable
for_window [title="About Mozilla Firefox"] floating enabled
for_window [title="Password Required - Mozilla Firefox"] floating enabled
for_window [app_id="pinentry-qt"] {
  move position center
  floating enable
}
for_window [app_id="pavucontrol"] {
  move position center
  floating enable
}
for_window [app_id="wdisplays"] {
  floating enable
}
for_window [app_id="com.nextcloud.desktopclient.nextcloud"] {
  border normal 1
  floating enable
}

for_window [app_id="avizo-service"] border pixel 0
for_window [app_id="avizo-service"] sticky toggle
no_focus [app_id="avizo-service"]
